package com.heyu.api.data.service.user;
/**
* <p>
* 意见反馈记录 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.user.UserSuggestionRecordEntity;
public interface UserSuggestionRecordService extends IService<UserSuggestionRecordEntity> {



	UserSuggestionRecordEntity selectUserSuggestionRecordById(Long id);


	Long insertUserSuggestionRecord(UserSuggestionRecordEntity userSuggestionRecord);


	Long insertOrUpdateUserSuggestionRecord(UserSuggestionRecordEntity userSuggestionRecord);


	int updateUserSuggestionRecordById(UserSuggestionRecordEntity userSuggestionRecord);


	int updateCoverUserSuggestionRecordById(UserSuggestionRecordEntity userSuggestionRecord);


	int deleteUserSuggestionRecordById(Long id);


}